%%% Written by Karnes.
%%
\ProvidesClass{thesis-kaist}
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{kaist-ucs-v}
}
\ProcessOptions

\LoadClass{kaist-ucs-v}

\newcommand\TitleKorean[1]{\title[korean]{#1}}

\newcommand\TitleEnglish[1]{\title[english]{#1}}

\def\@getFirstFamilyName(#1)#2.#3\@nil{%
  \author[#1]{#2}{#3}%
}

%%% \AuthorKorean{김.동철}
%%% \AuthorEnglish{Thomas.Berry}
%%% \AuthorEnglish{{T.}.Berry}
%%% \AuthorChinese{金.某氏}
\newcommand\AuthorKorean[1]{\@getFirstFamilyName(korean)#1\@nil}
\newcommand\AuthorChinese[1]{\@getFirstFamilyName(chinese)#1\@nil}
\newcommand\AuthorEnglish[1]{\@getFirstFamilyName(english)#1\@nil}

\def\@getAdvisName(#1)#2,#3,#4\@nil{%
  \advisor[#1]{#2}{#3}{#4}%
}

%%% \AdvisorMajor{교 수 님, Berry Carl, signed}
%%% \AdvisorMajor{교 수 님, {Carl, Berry}, signed}
%%% \AdvisorCoopr{김 아무개, Gil-Dong Hong, nosign}
\newcommand\AdvisorMajor[1]{\@getAdvisName(major)#1\@nil}
\newcommand\AdvisorCoopr[1]{\@getAdvisName(coopr)#1\@nil}

\def\@itsreferee(#1)#2\@nil{%
  \referee[#1]{#2}%
}

%%% \Referee{(1) 레프리}
%%% \Referee{(2) 심사위원}
\newcommand\Referee[1]{\@itsreferee#1\@nil}


\def\@divideYearstring#1/#2/#3\@nil{%
  \approvaldate{#1}{#2}{#3}%
}
\def\@refdivideYearstring#1/#2/#3\@nil{%
  \refereedate{#1}{#2}{#3}%
}

%%% \ApprovalDate{2002/12/5}
%%% \RefereeDate{2002/11/30}
\newcommand\ApprovalDate[1]{\@divideYearstring#1\@nil}
\newcommand\RefereeDate[1]{\@refdivideYearstring#1\@nil}

\newenvironment{Acknowledgement}{\acknowledgement}{\par}

\newenvironment{CurriculumVitaeKorean}{\curriculumvitae[korean]}{}
\newenvironment{CurriculumVitaeEnglish}{\curriculumvitae[english]}{}

\endinput
